> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Reward

> Initiate a reward webhook in sandbox. Specify the reward type to simulate processing of pending rewards.



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/simulate_reward
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/simulate_reward:
    post:
      tags:
        - Simulate Reward
      summary: Simulate Reward
      description: >-
        Initiate a reward webhook in sandbox. Specify the reward type to
        simulate processing of pending rewards.
      operationId: simulateReward
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_id
                - reward_type
              properties:
                customer_id:
                  type: string
                  example: e2806932-5f1b-4518-8b15-156d773e9496
                reward_type:
                  type: string
                  enum:
                    - STATEMENT
                    - DELAYED
                  description: >-
                    The type of reward to simulate. Must match the product's
                    configured reward type.
                  example: DELAYED
      responses:
        '200':
          description: Reward webhook initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  debugging_id:
                    type: string
                    description: >-
                      If you received an unexpected webhook or did not receive a
                      webhook, send debugging id to your imprint team
                    example: E777214A-2D11-4CAD-9E8F-E1BD71D9FE67
        '400':
          description: >-
            Invalid reward_type or product is not configured for the specified
            reward type
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Endpoint is only available in sandbox environments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '409':
          description: A simulation is already in progress for this account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - type
            - message
          properties:
            type:
              type: string
              description: The category of error being returned
              example: BAD_REQUEST_ERROR
            message:
              type: string
              description: A message describing the cause of the error
              example: 'unsupported reward_type: INVALID, must be STATEMENT or DELAYED'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Basic HTTP authentication. Allowed headers-- Authorization: Basic
        <base64(api_key_id:api_key_secret)>
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````